/*
 * ParserDefs.i
 *
 * Copyright (C) 1983 by Gordon T. Hamachi.
 * All rights reserved.
 */

/* static char sccsid[] = "@(#)ParserDefs.i	1.2 PEG (Berkeley) 2/25/85" */


struct IdList
   { char          * name;
     struct IdList * next;
   };
struct CaseItem
   { struct IdList   * bits;
     char            * StateName;
     int	       caseUsed;
     struct CaseItem * next;
   };
struct StateRecord
   { char               * name;
     struct IdList      * assert;
     struct IdList      * selector;
     struct CaseItem    * cases;
     struct StateRecord * next;
   };

extern struct IdList * NewIdRec();
extern struct StateRecord * NewStateRecord();
extern struct CaseItem * NewCaseLine();
