/*
 * Header file for stack module
 *
 * Copyright -C- 1983 by Robert N. Mayo
 *
 * sccsid "@(#)stack.h	1.1 	TPLA (Berkeley) 3/11/83";
 */

typedef struct S1 {
    struct S1 *next;
    char *data;
} S_CARRIER;

typedef struct S2 {
    struct S2 *next;
    char *data;
} Q_CARRIER;


/* stacks */
/* typedef S_CARRIER *STACK = NULL; */
typedef S_CARRIER *STACK;
extern S_isempty();
extern char *S_pop();
extern S_push();

/* queues */
typedef struct {
    Q_CARRIER *front;
    Q_CARRIER *back;
} QUEUE;
extern Q_isempty();
extern Q_push();
extern char *Q_pop();

